import { Snapper } from "./Snapper";
import { Type } from "igniteui-react-core/ES5/type";
export declare class LinearNumericSnapper extends Snapper {
    constructor(a: number, b: number, c: number, d: number, e: number);
    constructor(a: number, b: number, c: number, d: number, e: number, f: number);
    constructor(a: number, ..._rest: any[]);
    private k(a, b, c, d);
    private h(a, b, c);
    g: number;
    j: number;
    i: number;
    static $t: Type;
}
